For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
      • POSTEstimate Delivery Date
    • OpenAPI spec
LogoLogo
API ReferenceOrders

Batch Cancel Shipments

||View as Markdown|
POST
/2026-01/shipment:batchCancel
POST
/2026-01/shipment:batchCancel
$curl -X POST https://api.shipbob.com/2026-01/shipment:batchCancel \
> -H "shipbob_channel_id: shipbob_channel_id" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "shipment_ids": [
> 0
> ]
>}'
1{
2 "results": [
3 {
4 "action": "Cancel",
5 "is_success": true,
6 "reason": "string",
7 "shipment_id": 0
8 }
9 ]
10}

Cancels multiple shipments in a single request. Shipments can only be cancelled if they are in a cancellable state (i.e. not picked, packed, or shipped yet).

Was this page helpful?
Previous

Get Shipment Timeline

Next

Mark Tracking Uploaded

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Headers

shipbob_channel_idstringRequiredformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Request

The shipment IDs to cancel
shipment_idslist of integers or nullOptional
Shipment IDs to cancel

Response

Success
resultslist of objects or null
The results of all cancellation actions

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error